UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMHFX Class Reference

## Public Member Functions
| LBMHFX (LBMHFXAttributes attr, String topic, LBMReceiverCallback cb, LBMEventQueue evq)
LBMConfigOption[] | dumpAttributeList ()
void | close ()
void | close (LBMOperationCompleteCallback cb, Object cbArg)
LBMHFXReceiver | createReceiver (LBMContext ctx, LBMReceiverAttributes rattr, Object cbArg)
String | getAttributeValue (String attributeName) throws LBMException
void | setAttributeValue (String attributeName, String attributeValue) throws LBMException

## Protected Member Functions
| LBMHFX (String topic)
int | onReceive (Object cbArg, LBMMessage msg)

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMHFX.LBMHFX | ( | LBMHFXAttributes | attr,
|  | String | topic,
|  | LBMReceiverCallback | cb,
|  | LBMEventQueue | evq
| ) |  |

Instantiate a new LBMHFX object on the specified topic. This constructor will create a new LBMHFX object.

Parameters

  attr | Optional attributes that modify the behavior of the LBMHFX object.
  topic | The topic to be used for all receivers created using this LBMHFX object.
  cb | The callback to be invoked when a new message is delivered.
  evq | Optional event queue to be used to deliver messages.

## Member Function Documentation

void com.latencybusters.lbm.LBMHFX.close | ( |  | ) |

Close this HFX object. All receivers created using the HFX.createReceiver method should be closed before attempting to close the HFX object. Warning: It is not safe to call this method from a context thread callback.

void com.latencybusters.lbm.LBMHFX.close | ( | LBMOperationCompleteCallback | cb,
|  | Object | cbArg
| ) |  |

Close this HFX object. All receivers created using the HFX.createReceiver method should be closed before attempting to close the HFX object. Warning: It is not safe to call this method from a context thread callback.

Parameters

  cb | Callback to be called when the object is completely closed.
  cbArg | Token to be delivered with the callback.

LBMHFXReceiver com.latencybusters.lbm.LBMHFX.createReceiver | ( | LBMContext | ctx,
|  | LBMReceiverAttributes | rattr,
|  | Object | cbArg
| ) |  |

Create a receiver on the specified context, with the specified attributes and callback token. A hot failover receiver is created on the specified context with the attributes passed in. Some attributes related to message delivery may be overridden (e.g. duplicate delivery will be enabled if it is enabled on the HFX object.

Parameters

  ctx | Context on which to create the receiver.
  rattr | Attributes to be used for the receiver.
  cbArg | Callback token to be associated with messages delivered through the newly created receiver.

References com.latencybusters.lbm.LBM.LOG_WARNING, and com.latencybusters.lbm.LBMHFX.onReceive().

LBMConfigOption [] com.latencybusters.lbm.LBMHFX.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions

Returns
  Array of LBMConfigOption

String com.latencybusters.lbm.LBMHFX.getAttributeValue | ( | String | attributeName | ) | throws LBMException

Returns the value of a HFX-related attribute for this HFX.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

int com.latencybusters.lbm.LBMHFX.onReceive | ( | Object | cbArg,
|  | LBMMessage | msg
| ) |  |
| protected

Internal callback used when a message is delivered.

References com.latencybusters.lbm.LBMReceiverCallback.onReceive().

Referenced by com.latencybusters.lbm.LBMHFX.createReceiver().

void com.latencybusters.lbm.LBMHFX.setAttributeValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

Set the value of a HFX-related attribute for this HFX.

Note that this method bypasses the property list. As such no attributes configured using this method will appear in the property list.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

The documentation for this class was generated from the following file:

- LBMHFX.java